[vlc.js](../README.md) › [Globals](../globals.md) › ["http/Requester"](../modules/_http_requester_.md) › [VLCCommand](_http_requester_.vlccommand.md)

# Enumeration: VLCCommand

**`enum`** VLCCommand

**`description`** These are all the available commands that the HTTP server can take. These commands
    were pulled from the source code and was last updated September 10th, 2019.

**`link`** https://github.com/videolan/vlc/blob/master/share/lua/intf/modules/httprequests.lua

## Index

### Enumeration members

* [addsubtitle](_http_requester_.vlccommand.md#addsubtitle)
* [aspectratio](_http_requester_.vlccommand.md#aspectratio)
* [audio_track](_http_requester_.vlccommand.md#audio_track)
* [audiodelay](_http_requester_.vlccommand.md#audiodelay)
* [chapter](_http_requester_.vlccommand.md#chapter)
* [enableeq](_http_requester_.vlccommand.md#enableeq)
* [equalizer](_http_requester_.vlccommand.md#equalizer)
* [fullscreen](_http_requester_.vlccommand.md#fullscreen)
* [in_enqueue](_http_requester_.vlccommand.md#in_enqueue)
* [in_play](_http_requester_.vlccommand.md#in_play)
* [key](_http_requester_.vlccommand.md#key)
* [pl_delete](_http_requester_.vlccommand.md#pl_delete)
* [pl_empty](_http_requester_.vlccommand.md#pl_empty)
* [pl_forcepause](_http_requester_.vlccommand.md#pl_forcepause)
* [pl_forceresume](_http_requester_.vlccommand.md#pl_forceresume)
* [pl_loop](_http_requester_.vlccommand.md#pl_loop)
* [pl_next](_http_requester_.vlccommand.md#pl_next)
* [pl_pause](_http_requester_.vlccommand.md#pl_pause)
* [pl_play](_http_requester_.vlccommand.md#pl_play)
* [pl_previous](_http_requester_.vlccommand.md#pl_previous)
* [pl_random](_http_requester_.vlccommand.md#pl_random)
* [pl_repeat](_http_requester_.vlccommand.md#pl_repeat)
* [pl_sd_add](_http_requester_.vlccommand.md#pl_sd_add)
* [pl_sd_remove](_http_requester_.vlccommand.md#pl_sd_remove)
* [pl_sort](_http_requester_.vlccommand.md#pl_sort)
* [pl_stop](_http_requester_.vlccommand.md#pl_stop)
* [preamp](_http_requester_.vlccommand.md#preamp)
* [rate](_http_requester_.vlccommand.md#rate)
* [seek](_http_requester_.vlccommand.md#seek)
* [setpreset](_http_requester_.vlccommand.md#setpreset)
* [snapshot](_http_requester_.vlccommand.md#snapshot)
* [subdelay](_http_requester_.vlccommand.md#subdelay)
* [subtitle_track](_http_requester_.vlccommand.md#subtitle_track)
* [title](_http_requester_.vlccommand.md#title)
* [video_track](_http_requester_.vlccommand.md#video_track)
* [volume](_http_requester_.vlccommand.md#volume)

## Enumeration members

###  addsubtitle

• **addsubtitle**: = "addsubtitle"

*Defined in [http/Requester.ts:33](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L33)*

___

###  aspectratio

• **aspectratio**: = "aspectratio"

*Defined in [http/Requester.ts:58](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L58)*

___

###  audio_track

• **audio_track**: = "audio_track"

*Defined in [http/Requester.ts:65](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L65)*

___

###  audiodelay

• **audiodelay**: = "audiodelay"

*Defined in [http/Requester.ts:55](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L55)*

___

###  chapter

• **chapter**: = "chapter"

*Defined in [http/Requester.ts:64](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L64)*

___

###  enableeq

• **enableeq**: = "enableeq"

*Defined in [http/Requester.ts:61](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L61)*

___

###  equalizer

• **equalizer**: = "equalizer"

*Defined in [http/Requester.ts:60](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L60)*

___

###  fullscreen

• **fullscreen**: = "fullscreen"

*Defined in [http/Requester.ts:50](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L50)*

___

###  in_enqueue

• **in_enqueue**: = "in_enqueue"

*Defined in [http/Requester.ts:34](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L34)*

___

###  in_play

• **in_play**: = "in_play"

*Defined in [http/Requester.ts:32](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L32)*

___

###  key

• **key**: = "key"

*Defined in [http/Requester.ts:54](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L54)*

___

###  pl_delete

• **pl_delete**: = "pl_delete"

*Defined in [http/Requester.ts:42](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L42)*

___

###  pl_empty

• **pl_empty**: = "pl_empty"

*Defined in [http/Requester.ts:43](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L43)*

___

###  pl_forcepause

• **pl_forcepause**: = "pl_forcepause"

*Defined in [http/Requester.ts:37](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L37)*

___

###  pl_forceresume

• **pl_forceresume**: = "pl_forceresume"

*Defined in [http/Requester.ts:38](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L38)*

___

###  pl_loop

• **pl_loop**: = "pl_loop"

*Defined in [http/Requester.ts:46](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L46)*

___

###  pl_next

• **pl_next**: = "pl_next"

*Defined in [http/Requester.ts:40](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L40)*

___

###  pl_pause

• **pl_pause**: = "pl_pause"

*Defined in [http/Requester.ts:36](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L36)*

___

###  pl_play

• **pl_play**: = "pl_play"

*Defined in [http/Requester.ts:35](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L35)*

___

###  pl_previous

• **pl_previous**: = "pl_previous"

*Defined in [http/Requester.ts:41](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L41)*

___

###  pl_random

• **pl_random**: = "pl_random"

*Defined in [http/Requester.ts:45](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L45)*

___

###  pl_repeat

• **pl_repeat**: = "pl_repeat"

*Defined in [http/Requester.ts:47](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L47)*

___

###  pl_sd_add

• **pl_sd_add**: = "pl_sd_add"

*Defined in [http/Requester.ts:48](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L48)*

___

###  pl_sd_remove

• **pl_sd_remove**: = "pl_sd_remove"

*Defined in [http/Requester.ts:49](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L49)*

___

###  pl_sort

• **pl_sort**: = "pl_sort"

*Defined in [http/Requester.ts:44](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L44)*

___

###  pl_stop

• **pl_stop**: = "pl_stop"

*Defined in [http/Requester.ts:39](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L39)*

___

###  preamp

• **preamp**: = "preamp"

*Defined in [http/Requester.ts:59](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L59)*

___

###  rate

• **rate**: = "rate"

*Defined in [http/Requester.ts:56](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L56)*

___

###  seek

• **seek**: = "seek"

*Defined in [http/Requester.ts:53](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L53)*

___

###  setpreset

• **setpreset**: = "setpreset"

*Defined in [http/Requester.ts:62](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L62)*

___

###  snapshot

• **snapshot**: = "snapshot"

*Defined in [http/Requester.ts:51](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L51)*

___

###  subdelay

• **subdelay**: = "subdelay"

*Defined in [http/Requester.ts:57](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L57)*

___

###  subtitle_track

• **subtitle_track**: = "subtitle_track"

*Defined in [http/Requester.ts:67](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L67)*

___

###  title

• **title**: = "title"

*Defined in [http/Requester.ts:63](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L63)*

___

###  video_track

• **video_track**: = "video_track"

*Defined in [http/Requester.ts:66](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L66)*

___

###  volume

• **volume**: = "volume"

*Defined in [http/Requester.ts:52](https://github.com/dylhack/vlc.js/blob/8f58ccf/src/http/Requester.ts#L52)*
