/// <reference types="node" />
/**
 * @link https://wiki.videolan.org/Preferences/
 * Last updated: September 15th, 2019
 */
export declare const locations: {
    unix: {
        v8: string;
        v9: string;
    };
    macos: {
        v8: string;
        v9: string;
    };
    win32: string;
};
export declare type ConfigItem = {
    key: string;
    value: string;
    enabled: boolean;
};
export declare function _readLine(line: string): ConfigItem | undefined;
export declare function _getPath(): string | undefined;
/**
 * If no location is provided it will get the default install location
 * @param location
 * @returns {VLCRCModifier}
 */
export declare function editVLCRC(location?: string): VLCRCModifier;
export declare class VLCRCModifier {
    private _map;
    private readonly _original;
    constructor(data: Buffer);
    get(key: string): ConfigItem | undefined;
    set(key: string, value: boolean | number | string): ConfigItem | undefined;
    disable(key: string): ConfigItem | undefined;
    enable(key: string): ConfigItem | undefined;
    export(): Buffer;
}
//# sourceMappingURL=VLCRCModifier.d.ts.map